<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>List Threaded Forum Reply Ancestors for a Reply REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71290/list-threaded-forum-reply-ancestors-for-a-reply-rest-endpoint</link><description>Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>List Threaded Forum Reply Ancestors for a Reply REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71290/list-threaded-forum-reply-ancestors-for-a-reply-rest-endpoint</link><pubDate>Fri, 13 May 2022 19:38:17 GMT</pubDate><guid isPermaLink="false">3a67e600-7606-4e60-87bf-f7a72357fb57</guid><dc:creator>Former Member</dc:creator><comments>https://community.telligent.com/community/12/w/api-documentation/71290/list-threaded-forum-reply-ancestors-for-a-reply-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Former Member on 05/13/2022 19:38:17&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;&lt;a id="GET_api_ashx_v2_forums_threads_replies_replyid_ancestors_jsonxml" name="GET_api_ashx_v2_forums_threads_replies_replyid_ancestors_jsonxml"&gt;&lt;/a&gt;GET api.ashx/v2/forums/threads/replies/{replyid}/ancestors.{json|xml}&lt;/h2&gt;&lt;div class="documentation-section scopes"&gt;&lt;h3&gt;&lt;a id="Scopes" name="Scopes"&gt;&lt;/a&gt;Scopes&lt;/h3&gt;&lt;div class="value"&gt;&lt;p&gt;Forums › Read Threads&amp;nbsp;&lt;code style="padding:5px;background-color:rgba(34, 34, 34, 0.1);border-radius:3px;"&gt;forums.threads.readonly&lt;/code&gt;&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;Depth&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Levels of ancestors to return from the root reply down.  Zero based with a max of 9.  If 0 is specified, only the root reply will be returned in an ApiList&amp;lt;ForumReply&amp;gt;.  If the reply is the root reply, ApiList&amp;lt;ForumReply&amp;gt; will have no records.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;PostTarget&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Render target. Options: Unknown, Web, Syndication, Offline, Other, Print, Nntp, Email, WebQuote, WebServices.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ReplyId&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Thread Reply Id&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/forums/threads/replies/{replyid}/ancestors.json&amp;#39;,
	data: { 
		&amp;#39;replyid&amp;#39;: &amp;#39;6&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>